Bug 39793 - UI · FORMATTING: 'Set Language for Paragraph/Selection > More...' should always open the 'Font' tab (dialog 'Character')
Summary: UI · FORMATTING: 'Set Language for Paragraph/Selection > More...' should alwa...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0
Keywords:
: 52085 57225 60646 62184 76061 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-08-03 02:28 UTC by Nathan Rona
Modified: 2015-02-13 11:58 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot 'format_character_font_language.png' (34.10 KB, image/png)
2011-08-03 15:37 UTC, manj_k
Details
Screencast (5.01 MB, video/quicktime)
2015-02-13 11:43 UTC, marcosgdf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Rona 2011-08-03 02:28:28 UTC
When writing document I wanted to set the paragraph language to English. 

I went to the status-bar where it read "none" and left-clicked. On the menu I have the options of "Farsi", "Hebrew", "none" "reset" and "more..". 

When I click more it throws me to a dialog called "character" where I can not find any option for language.

Going to menu 'Tools-> language -> selection->more' or 'Tools-> language -> paragraph-> more' gives same result. 

Going to 'Tools-> language -> for all text->more' takes you to option language setting dialog window (seems correct)
Comment 1 Nathan Rona 2011-08-03 03:20:20 UTC
Present also in version 3.4.2
Comment 2 manj_k 2011-08-03 15:36:21 UTC
@Nathan Rona:
"When I click more it throws me to a dialog called "character" where I can not
find any option for language."

The tab 'Font' should show the drop-down list 'Language'.
See the attached screenshot 'format_character_font_language.png'

See also 'Bug 37919 - Clicking "more" on the Language Section in Writer at the bottom bar opens up the wrong Dialog Window.'
Comment 3 manj_k 2011-08-03 15:37:11 UTC
Created attachment 49892 [details]
Screenshot 'format_character_font_language.png'
Comment 4 manj_k 2011-08-15 13:44:55 UTC
Modified bug report (due to inactivity of the initial bug reporter):

1. New (empty) Text Document 'Untitled 1'
2. Type 'dt', <F3>
3. Select (highlight) the text
4. Menu Format > Character > Background
5. Select any color > OK

6. New (empty) Text Document 'Untitled 2'
7. Type 'dt', <F3>
8. Status bar > Set Language for Paragraph (or Selection) > More...

Expected: Dialog 'Character' shows the tab 'Font' with the drop-down list 'Language'

Bug: Dialog 'Character' shows the tab 'Background'(language selection apparently unavailable).

The same bug with
9. Menu Tools > Language > For Paragraph (or Selection) > More...

For steps 8. and 9.:
'More...' should always open/show the tab 'Font', irrespective of the last used tab by the user.
Comment 5 Björn Michaelsen 2011-12-23 12:24:57 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 6 manj_k 2011-12-23 13:44:21 UTC
Still reproducible with LibO 3.5.0 Beta2
[LOdev 3.5.0beta2 · Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978]
(on WinXP 32b · UI en-US)

Moving back to NEW from NEEDINFO again.
Comment 7 manj_k 2012-07-14 19:56:56 UTC
*** Bug 52085 has been marked as a duplicate of this bug. ***
Comment 8 Lior Kaplan 2012-11-10 15:34:13 UTC
Still happens in 3.7/master.
Comment 9 manj_k 2012-11-17 20:36:30 UTC
*** Bug 57225 has been marked as a duplicate of this bug. ***
Comment 10 manj_k 2013-02-11 14:34:58 UTC
*** Bug 60646 has been marked as a duplicate of this bug. ***
Comment 11 manj_k 2013-03-11 22:50:51 UTC
*** Bug 62184 has been marked as a duplicate of this bug. ***
Comment 12 Geoffrey 2013-03-12 14:24:25 UTC
It seems that LibreOffice is remembering the clicked tab. Just force to select the "Font" tab if clicked on "More" (languages) and everything should be fine.
Comment 13 Maxim Monastirsky 2014-03-12 09:10:14 UTC
*** Bug 76061 has been marked as a duplicate of this bug. ***
Comment 14 Adolfo Jayme 2014-04-03 06:35:27 UTC
CCing Caolán, he may know how to fix this.
Comment 15 Commit Notification 2014-04-03 13:44:52 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e813b9c2593ccfdf39761ed9bf446ef73d881e75

Resolves: fdo#39793 open the 'Font' tab after Set Language ... More ...



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 marcosgdf 2015-02-13 11:40:28 UTC
This is still happening in 4.3.5.2.

More... brings me to Hyperlink tab.
Comment 17 marcosgdf 2015-02-13 11:43:51 UTC
Created attachment 113365 [details]
Screencast
Comment 18 A (Andy) 2015-02-13 11:53:55 UTC
For me not reproducible with LO 4.4.0.3, Win 8.1
Comment 19 marcosgdf 2015-02-13 11:58:49 UTC
It is fixed in 4.4.

Sorry.